[csw-devel] SF.net SVN: gar:[5587] csw/mgar/pkg/cswclassutils/trunk

bdwalton at users.sourceforge.net bdwalton at users.sourceforge.net
Thu Jul 16 17:17:02 CEST 2009


Revision: 5587
          http://gar.svn.sourceforge.net/gar/?rev=5587&view=rev
Author:   bdwalton
Date:     2009-07-16 15:17:01 +0000 (Thu, 16 Jul 2009)

Log Message:
-----------
add i/r scripts for cswelispcompile (el -> elc); bump version

Modified Paths:
--------------
    csw/mgar/pkg/cswclassutils/trunk/Makefile
    csw/mgar/pkg/cswclassutils/trunk/checksums
    csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.prototype

Added Paths:
-----------
    csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.i.cswelispcompile
    csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.r.cswelispcompile

Modified: csw/mgar/pkg/cswclassutils/trunk/Makefile
===================================================================
--- csw/mgar/pkg/cswclassutils/trunk/Makefile	2009-07-16 13:19:22 UTC (rev 5586)
+++ csw/mgar/pkg/cswclassutils/trunk/Makefile	2009-07-16 15:17:01 UTC (rev 5587)
@@ -1,5 +1,5 @@
 GARNAME = cswclassutils
-GARVERSION = 1.17
+GARVERSION = 1.18
 CATEGORIES = utils
 
 DESCRIPTION = CSW class action utilities
@@ -19,7 +19,8 @@
 WORKSRC = $(WORKDIR)
 SPKG_SOURCEURL = http://www.opencsw.org
 
-CASLIST = cswcpsampleconf cswpreserveconf cswinitsmf cswusergroup cswpycompile
+CASLIST =  cswcpsampleconf cswpreserveconf cswinitsmf cswusergroup cswpycompile
+CASLIST += cswelispcompile
 
 install-custom:
 	@echo " ==> Installing $(GARNAME) (custom)"

Modified: csw/mgar/pkg/cswclassutils/trunk/checksums
===================================================================
--- csw/mgar/pkg/cswclassutils/trunk/checksums	2009-07-16 13:19:22 UTC (rev 5586)
+++ csw/mgar/pkg/cswclassutils/trunk/checksums	2009-07-16 15:17:01 UTC (rev 5587)
@@ -1,2 +1,2 @@
 38e0bf6e204e003254ed246df2b4e1f9  download/CSWcswclassutils.gspec
-854d77b21b177b15fd2aac39339a0c8c  download/CSWcswclassutils.prototype
+1784907098d9cf9f5784e9a0fbc6495f  download/CSWcswclassutils.prototype

Added: csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.i.cswelispcompile
===================================================================
--- csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.i.cswelispcompile	                        (rev 0)
+++ csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.i.cswelispcompile	2009-07-16 15:17:01 UTC (rev 5587)
@@ -0,0 +1,34 @@
+#!/bin/sh
+#
+# i.elispcompile: Class action script for installing emacs .el files
+# and automatically compiling them to their .elc equivalents
+#
+# $Id$
+#
+# Written By: Ben Walton <bwalton at opencsw.org>
+#
+# Release History:
+# 2009-07-11 - Initial Release
+
+EMACS=${PKG_INSTALL_ROOT}/opt/csw/bin/emacs
+
+if [ ! -f "${EMACS}" -o ! -x "${EMACS}" ]; then
+    echo "Could not find a working emacs at ${EMACS}."
+    exit 2
+fi
+
+echo "About to install and compile .el files in package ${PKGINST}"
+
+while read src dest; do
+    elc="${dest}"c
+    echo "${dest}"
+
+    /usr/bin/cp -p "$src" "$dest" || exit 2
+    ${EMACS} -batch -f batch-byte-compile "$dest" || exit 2
+
+    set -- `grep "^${dest}" /var/sadm/install/contents`
+    chmod $4 ${elc}
+    chown $5:$6 ${elc}
+done
+
+exit 0


Property changes on: csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.i.cswelispcompile
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:keywords
   + Id

Modified: csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.prototype
===================================================================
--- csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.prototype	2009-07-16 13:19:22 UTC (rev 5586)
+++ csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.prototype	2009-07-16 15:17:01 UTC (rev 5587)
@@ -17,6 +17,8 @@
 f none /usr/sadm/install/scripts/r.cswpreserveconf 0555 root sys
 f none /usr/sadm/install/scripts/i.cswpycompile 0555 root sys
 f none /usr/sadm/install/scripts/r.cswpycompile 0555 root sys
+f none /usr/sadm/install/scripts/i.cswelispcompile 0555 root sys
+f none /usr/sadm/install/scripts/r.cswelispcompile 0555 root sys
 d none /opt/csw/share 0755 root bin
 d none /opt/csw/share/doc 0755 root bin
 d none /opt/csw/share/doc/cswclassutils 0755 root bin

Added: csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.r.cswelispcompile
===================================================================
--- csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.r.cswelispcompile	                        (rev 0)
+++ csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.r.cswelispcompile	2009-07-16 15:17:01 UTC (rev 5587)
@@ -0,0 +1,25 @@
+#!/bin/sh
+#
+# r.elispcompile: Class action script for removing emacs .el and
+# their automatically generated .elc files
+#
+# $Id$
+#
+# Written By: Ben Walton <bwalton at opencsw.org>
+#
+# Release History
+# 2009-07-11 - Initial Release
+
+while read dest; do
+    elc="${dest}"c
+
+    if [ -f "${elc}" ]; then
+	echo "${elc}"
+	/usr/bin/rm -f "${elc}" || exit 2
+    fi
+
+    echo "${dest}"
+    /usr/bin/rm -f "$dest" || exit 2
+done
+
+exit 0


Property changes on: csw/mgar/pkg/cswclassutils/trunk/files/CSWcswclassutils.r.cswelispcompile
___________________________________________________________________
Added: svn:executable
   + *
Added: svn:keywords
   + Id


This was sent by the SourceForge.net collaborative development platform, the world's largest Open Source development site.



More information about the devel mailing list